## ros-indigo-designator-integration-cpp 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(designator_integration_cpp)

find_package(catkin REQUIRED COMPONENTS designator_integration_msgs roscpp)

set(COMPILE_DEBUG 0)

if(CMAKE_COMPILER_IS_GNUCXX)
  if(COMPILE_DEBUG)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -pg")
  else()
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x -O2")
  endif()
endif()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES designator_integration
  CATKIN_DEPENDS designator_integration_msgs roscpp
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_library(designator_integration
  src/designators/Designator.cpp
  src/designators/KeyValuePair.cpp)

add_dependencies(designator_integration designator_integration_msgs_gencpp)

install(TARGETS designator_integration
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-indigo-designator-integration-cpp (0.0.3-0trusty) trusty; urgency=high



 -- Jan Winkler <winkler@cs.uni-bremen.de>  Thu, 03 Dec 2015 23:00:00 -0000

ros-indigo-designator-integration-cpp (0.0.2-0trusty) trusty; urgency=high

  * package.xml updates
  * Added support for human desigs in cpp.
  * Added default value parameters for string and double values
  * Renamed package designator_integration into designator_integration_cpp.
  * Contributors: Georg Bartels, Jan Winkler

 -- Jan Winkler <winkler@cs.uni-bremen.de>  Mon, 20 Apr 2015 22:00:00 -0000

ros-indigo-designator-integration-cpp (0.0.1-0trusty) trusty; urgency=high

  * Fixed CMakeLists.txt
  * Mostly cleaned up package.xml and CMakeLists.txt for deployment
  * Changed data type to ''void'' instead of ''char'' to not confuse string interface
  * Added convenience constructor and changed default designator type to 'OBJECT'
  * Add quotation marks around printed strings
  * Allow multiple definitions of values with the same key; also, support output for pose and posestamped
  * Convenience constructor
  * Added automatic conversion mechanisms between strings and floats when asking for the respective value from a key value pair (i.e. a designator)
  * Added functions for getting a list of all defined keys in a designator
  * Forgot to commit changes to other files
  * Onlye send out example designator once
  * Made the example node a bit more expressive in terms of sending out designator messages
  * Added copying key value pairs and initializing designators from key value pairs
  * fixed CMakeLists.txt and package.xml dependencies.
  * The property type is now correctly set to `DATA' when data is placed in it.
  * Properly integrated the use of the `data' field.
    Communicated designators can now carry the `data' field, which is a vector of bytes on ROS side and a char array on the C++ side. This might be useful for transferring binary data, such as images, textures, meshes, audio, etc.
  * Added missing dependencies
  * Merge branch 'master' of github.com:code-iai/designator_integration
  * Corrected printing out designator key value pairs
  * Added function to clear the contents of a designator
  * Introduced type `pose' and added a few more convenience functions
  * Greatly simplified interface and added a few checks for already existing keys
  * Restructured code such that managing child nodes is not done in desigs AND kvps
  * Added .gitignore and adapted to the new message format
  * Added C++ classes for communicating via designators
  * Contributors: Jan Winkler, Wiedemeyer

 -- Jan Winkler <winkler@cs.uni-bremen.de>  Tue, 09 Dec 2014 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-designator-integration-cpp
Section: misc
Priority: extra
Maintainer: Jan Winkler <winkler@cs.uni-bremen.de>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-designator-integration-msgs, ros-indigo-roscpp
Homepage: http://ros.org/wiki/designator_integration
Standards-Version: 3.9.2

Package: ros-indigo-designator-integration-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-designator-integration-msgs, ros-indigo-roscpp
Description: Integration of Designator Communication via ROS as C++ Classes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-designator-integration-cpp//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
